Bug 142205 - Latest Development Build catalog is not a valid XML
Latest Development Build catalog is not a valid XML
Status: VERIFIED FIXED
Product: apisupport
Classification: Unclassified
Component: Harness
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Jesse Glick
issues@apisupport
:
Depends on:
Blocks: 144294
  Show dependency treegraph
 
Reported: 2008-07-30 10:16 UTC by Jaromir Uhrik
Modified: 2008-08-19 22:31 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaromir Uhrik 2008-07-30 10:16:21 UTC
When I try to validate the Latest Development Build catalog (from
http://deadlock.netbeans.org/hudson/job/nbms-and-javadoc/lastSuccessfulBuild/artifact/nbbuild/nbms/updates.xml.gz) I get
the following validation output:

XML validation started.
Checking file:/D:/__catalog/updates.xml...
Referenced entity at "http://www.netbeans.org/dtds/autoupdate-catalog-2_5.dtd".
Attribute "OpenIDE-Module-Build-Version" must be declared for element type "manifest". [87] 
Attribute "OpenIDE-Module-Build-Version" must be declared for element type "manifest". [107] 
Attribute "OpenIDE-Module-Hide-Classpath-Packages" must be declared for element type "manifest". [112] 
Attribute "OpenIDE-Module-Build-Version" must be declared for element type "manifest". [259] 
Attribute "OpenIDE-Module-Build-Version" must be declared for element type "manifest". [349] 
Attribute "OpenIDE-Module-Build-Version" must be declared for element type "manifest". [354] 
Attribute "OpenIDE-Module-Build-Version" must be declared for element type "manifest". [364] 
Attribute "OpenIDE-Module-Build-Version" must be declared for element type "manifest". [369] 
Attribute "OpenIDE-Module-Build-Version" must be declared for element type "manifest". [374] 
Attribute "OpenIDE-Module-Build-Version" must be declared for element type "manifest". [379] 
Attribute "OpenIDE-Module-Build-Version" must be declared for element type "manifest". [394] 
Attribute "OpenIDE-Module-Build-Version" must be declared for element type "manifest". [399] 
Attribute "OpenIDE-Module-Build-Version" must be declared for element type "manifest". [412] 
Attribute "OpenIDE-Module-Build-Version" must be declared for element type "manifest". [432] 
Attribute "OpenIDE-Module-Build-Version" must be declared for element type "manifest". [444] 
Attribute "OpenIDE-Module-Build-Version" must be declared for element type "manifest". [461] 
Attribute "OpenIDE-Module-Build-Version" must be declared for element type "manifest". [485] 
Attribute "OpenIDE-Module-Build-Version" must be declared for element type "manifest". [495] 
Attribute "OpenIDE-Module-Build-Version" must be declared for element type "manifest". [500] 
Attribute "OpenIDE-Module-Build-Version" must be declared for element type "manifest". [607] 
Too many errors, stopping further checking.
XML validation finished.
Comment 1 rnovak 2008-07-30 17:09:08 UTC
This is not an UC bug - UC catalog is generated automatically using information stored in NBMs. If any of info.xml files
is invalid, UC catalog get invalid in the same way. In order to fix it I recommend to file a bug against all affected
modules.
Comment 2 Jesse Glick 2008-07-30 18:11:06 UTC
Filing a bug against all affected modules is ridiculous (there would be ~700 bugs) and anyway modules cannot do anything
about this because it is handled by infrastructure.

I will see if there is something wrong in either <makenbm> or <makeupdatedesc>.
Comment 3 Jesse Glick 2008-07-30 18:13:27 UTC
I believe the DTD is correct in not requesting these two attributes, since AFAICT neither are used by the AU client.
Comment 4 Jesse Glick 2008-07-30 19:19:57 UTC
core-main #427a127b88b7
Comment 5 Quality Engineering 2008-07-31 04:18:14 UTC
Integrated into 'main-golden', available in build *200807310201* on http://bits.netbeans.org/dev/nightly/
Changeset: http://hg.netbeans.org/main/rev/427a127b88b7
User: Jesse Glick <jglick@netbeans.org>
Log: #142205: fix XML validation errors creating NBMs.
Also verify that Info.xml and updates.xml files are valid according to specified DTD.
Comment 6 Jaromir Uhrik 2008-07-31 16:09:22 UTC
Verified in the following build:
Product Version: NetBeans IDE Dev (Build 200807310201)
Java: 1.5.0_13; Java HotSpot(TM) Client VM 1.5.0_13-119
System: Mac OS X version 10.5.4 running on i386; MacRoman; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo